"use strict";

var _wp = wp,
    apiFetch = _wp.apiFetch;
jQuery(function ($) {
  var gutenify_copilotRedirectToKitPage = function gutenify_copilotRedirectToKitPage(res) {
    // if( res?.status && 'active' === res.status ) {
    window.location = "".concat(window.gutenify_copilot.gutenify_kit_gallery); // }
  }; // Activate Gutenify.


  $(document).on('click', '.gutenify-copilot-activate-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-copilot-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins/gutenify/gutenify',
      method: 'POST',
      data: {
        "status": "active"
      }
    }).then(function (res) {
      gutenify_copilotRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_copilotRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-copilot-install-gutenify', function () {
    $(this).html('<span class="dashicons dashicons-update"></span> Loading...').addClass('gutenify-copilot-importing-gutenify');
    apiFetch({
      path: '/wp/v2/plugins',
      method: 'POST',
      data: {
        "slug": "gutenify",
        "status": "active"
      }
    }).then(function (res) {
      gutenify_copilotRedirectToKitPage(res);
    })["catch"](function () {
      gutenify_copilotRedirectToKitPage({});
    });
  });
  $(document).on('click', '.gutenify-copilot-admin-notice .notice-dismiss', function () {
    console.log(ajaxurl + "?action=gutenify_copilot_hide_theme_info_noticebar");
    apiFetch({
      url: ajaxurl + "?action=gutenify_copilot_hide_theme_info_noticebar&gutenify_copilot-nonce-name=".concat(window.gutenify_copilot.gutenify_copilot_nonce),
      method: 'POST'
    }).then(function (res) {
      console.log(res);
    })["catch"](function (res) {
      console.log(res);
    });
  });
});